/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer.render;

import com.vividsolutions.jts.geom.Geometry;
import com.vividsolutions.jts.geom.MultiPolygon;
import com.vividsolutions.jts.geom.Polygon;
import java.awt.Graphics2D;
import java.awt.Rectangle;

/**
 * Render multiple polygons.
 * delegate to PolygonRenderer
 * 
 * @author johan
 */
public class MultiPolygonRenderer extends GeometryRenderer<MultiPolygon>{
    private PolygonRenderer polygonRenderer = new PolygonRenderer();

    @Override
    public void render(MultiPolygon geometry, Geometry boundingBox, Rectangle canvas, GeoTranslator translator, Graphics2D g) {   

        for (int i = 0; i < geometry.getNumGeometries(); i++) {
            polygonRenderer.render((Polygon)geometry.getGeometryN(i), boundingBox, canvas, translator, g);
        }
    } 
}
